com.rscja.team.qcom.uhfhandler

## Class UHFRxBLEDataHandle

- java.lang.Object
- - com.rscja.team.qcom.uhfhandler.UHFDataHandleBase
  - - com.rscja.team.qcom.uhfhandler.UHFRxBLEDataHandle

-     public class UHFRxBLEDataHandle
      extends UHFDataHandleBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.team.qcom.uhfhandler.UHFDataHandleBase

      `UHFDataHandleBase.CMDInfo`

  - ### Field Summary

    - ### Fields inherited from class com.rscja.team.qcom.uhfhandler.UHFDataHandleBase

      `isStop`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFRxBLEDataHandle(IBluetoothReader iBluetoothReader, KeyEventCallback KeyEventCallback)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCmdList(UHFDataHandleBase.CMDInfo info)`
    `boolean` | `isBuildFullData(UHFDataHandleBase.CMDInfo cmdinfo)`
    `void` | `setBarcodeDecodeCallback(BluetoothReader.DecodeCallback decodeCallback)`
    `void` | `setKeyEventCallback(KeyEventCallback KeyEventCallback)`

    - ### Methods inherited from class com.rscja.team.qcom.uhfhandler.UHFDataHandleBase

      `cleanAllData, cleanCmd, cleanOldCmd, cleanTagCmd, getCmdList, getCmdList, getLastBarcodeCmd, getLastCmd, getLastCmd, getTagCmd, parseData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UHFRxBLEDataHandle

          public UHFRxBLEDataHandle(IBluetoothReader iBluetoothReader,
                                    KeyEventCallback KeyEventCallback)

  - ### Method Detail

    - #### setBarcodeDecodeCallback

          public void setBarcodeDecodeCallback(BluetoothReader.DecodeCallback decodeCallback)

    - #### setKeyEventCallback

          public void setKeyEventCallback(KeyEventCallback KeyEventCallback)

    - #### isBuildFullData

          public boolean isBuildFullData(UHFDataHandleBase.CMDInfo cmdinfo)

      Specified by:
        `isBuildFullData` in class `UHFDataHandleBase`

    - #### addCmdList

          public void addCmdList(UHFDataHandleBase.CMDInfo info)

      Specified by:
        `addCmdList` in class `UHFDataHandleBase`